Name:           felix-parent
Version:        2.1
Release:        %mkrel 10
Group:          Development/Java
Summary:        Parent POM file for Apache Felix Specs
License:        ASL 2.0
URL:            http://felix.apache.org/
Source0:        http://repo1.maven.org/maven2/org/apache/felix/felix-parent/%{version}/%{name}-%{version}-source-release.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mockito
BuildRequires:  maven-site-plugin
BuildRequires:  maven-release-plugin

%description
Parent POM file for Apache Felix Specs.

%prep
%setup -q -n felix-parent-%{version}
%mvn_alias : :felix
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin org.codehaus.mojo:ianal-maven-plugin
%pom_remove_plugin :apache-rat-plugin

# wagon ssh dependency unneeded
%pom_xpath_remove pom:extensions

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.1-10.mga6
+ Revision: 982644
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.1-9.mga6
+ Revision: 976234
- First rebuild of the java stack
- sync package felix-parent with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.1-7.mga5
+ Revision: 805651
- Clean rebuild
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 742313
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 2.1-3.mga5
+ Revision: 673488
- Drop broken dependency

* Mon Oct 21 2013 umeabot <umeabot> 2.1-2.mga4
+ Revision: 537305
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 486745
- New version

* Sat Mar 23 2013 dmorgan <dmorgan> 1.2.1-9.mga3
+ Revision: 404575
- Rebuild because of missing signatures

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2.1-7.mga1
+ Revision: 92440
- Rebuild after bootstrapping
- imported package felix-parent


* Wed Mar 30 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2.1-6
- Fix faulty compiler plugin settings setting source but not target.

* Sun Mar 13 2011 Mat Booth <fedora@matbooth.co.uk> 1.2.1-5
- Add dep on maven-plugin-jxr.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Mat Booth <fedora@matbooth.co.uk> - 1.2.1-3
- Add legacy depmap from maven2-common-poms for felix packages that still
  specify "felix" instead of "felix-parent"

* Tue Jul 20 2010 Hui Wang <huwang@redhat.com> - 1.2.1-2
- Update summary and description
- Add comment in mvn-jpp

* Fri Jul 16 2010 Hui Wang <huwang@redhat.com> - 1.2.1-1
- Initial version of the package
